> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a terms of service link

> Retrieve the status of a terms of service link



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/tos-link/{signedAgreementId}
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/tos-link/{signedAgreementId}:
    get:
      tags:
        - User
      summary: Retrieve a terms of service link
      description: Retrieve the status of a terms of service link
      parameters:
        - $ref: '#/components/parameters/SignedAgreementIdPathParameter'
      responses:
        '200':
          $ref: '#/components/responses/ToSLinkRecordStatusResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    SignedAgreementIdPathParameter:
      name: signedAgreementId
      in: path
      schema:
        type: string
      description: ID of the signed agreement
      required: true
  responses:
    ToSLinkRecordStatusResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ToSLinkRecordStatusObject'
          examples:
            TosLinkStatusObjectExample:
              $ref: '#/components/examples/TosLinkStatusObjectExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    ToSLinkRecordStatusObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: signed agreement id
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the ToS link was created
        expiredAt:
          type: string
          format: date-time
          description: Timestamp when the ToS link will expire
        signed:
          type: boolean
          description: Whether the ToS has been signed
        sessionToken:
          type: string
          format: string
          description: Session token for the ToS signing session
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
  examples:
    TosLinkStatusObjectExample:
      summary: ToS Link Status Object
      value:
        id: e6e0de1d-7d0b-4935-ba1a-71906064067e
        createdAt: '2025-04-17T18:27:51.169Z'
        expiredAt: '2025-04-22T18:27:51.091Z'
        signed: true
        sessionToken: e3a92e74-19e0-4137-ab75-ae537832f342
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````